2019-10-23 13:54 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002278FSSCPFREDpublic2010-09-14 20:54
ReporterAxem 
Assigned Tokarajorma 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.12 RC4 
Target VersionFixed in Version3.6.13 
Summary0002278: Adding a variable can mess up new loadout code
DescriptionAdding a variable after assigning ship load out slots to a variable using the new system can screw those variables.

Steps to reproduce:
1) Add a variable, lokiAvailable
2) In the Team Loadout Editor assign the Lokis to use amount from lokiAvailable
3) Add another variable, hercAvailable
4) Go back to the Team Loadout, the Lokis will now be assigned to hercAvailable
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0012290

karajorma (administrator)

Hmmmmmm. This one is rather annoying. It looks like when I tested adding new variables I did so using ones that came after the first one in the alphabet. If they come before the game will re-order the variables to make them alphabetical which destroys the ordering.

To solve this I'll have to store the variable by name rather than by index.

~0012351

karajorma (administrator)

Try this build.

http://fs2downloads.com/Misc-Downloads/Builds/FixedTeamLoadout.7z
+Notes

-Issue History
Date Modified Username Field Change
2010-08-01 20:07 Axem New Issue
2010-08-02 00:16 Goober5000 Status new => assigned
2010-08-02 00:16 Goober5000 Assigned To => karajorma
2010-08-02 11:49 karajorma Note Added: 0012290
2010-09-10 11:31 karajorma Note Added: 0012351
2010-09-14 20:54 karajorma Status assigned => resolved
2010-09-14 20:54 karajorma Fixed in Version => 3.6.13
2010-09-14 20:54 karajorma Resolution open => fixed
+Issue History